# pip install `acct`
# run `acct acct_profile.yaml`
# A key will be generated.  Store it in the environment variable `ACCT_KEY`
# An encrypted fernet file was also generated.  Store it's path in the environment variable `ACCT_FILE`

# This defines the vultr provider
vultr:
  # This is the default profile, if no profile is specified for a state, this one will be used
  default:
    api_key: XXXXXXXXXXXXXXXXXX
    # This value can also be a DCID, it doesn't matter to idem-vultr
    location: New Jersey
    # You only need to specify this if it is different from the default
    management_host: api.vultr.com
    # You only need to specify this if it is different from the default
    api_version: v1
    # This is optional, for any API call that uses an SSH_KEY, this key will be used
    ssh_key_file: ~/.ssh/id_rsa_idem_vultr.pub
    # If this changes in value the remote key will be updated
    ssh_key_name: vultr_idem_test

  # Another arbitrary profile
  baremetal_profile:
    api_key: XXXXXXXXXXXXXXX
    location: Amsterdam
